.menu-wrap{
    position: fixed;
    top: 0px;
    left: 0px;
}

.menu-wrap .toggler{
    position: absolute;
    top: 0px;
    left: 0px;
    width: 2.5rem;
    height: 2.5rem;
    cursor: pointer;
    opacity: 0;
    z-index: 2;
}

.menu-wrap .hamburger{
    position: absolute;
    top: 0px;
    left: 0px;
    width: 2.5rem;
    height: 2.5rem;
    cursor: pointer;
    background-color: rgba(163, 198, 228, 0.3);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.45rem;
}

.menu-wrap .hamburger > div{
    position: relative;
    top: 0px;
    left: 0px;
    height: 2px;
    width: 100%;
    background-color: white;
    transition-property: all;
    transition-duration: 1s;
}

.menu-wrap .hamburger > div::before,
.menu-wrap .hamburger > div::after
{
    content: "";
    position: absolute;
    top: -10px;
    left: 0px;
    height: 2px;
    width: 100%;
    background-color: white;
}

.menu-wrap .hamburger > div::after{
    top: 10px;
}


.menu-wrap .toggler:checked + .hamburger > div{
    transform: rotate(135deg);
}

.menu-wrap .toggler:checked + .hamburger > div::before,
.menu-wrap .toggler:checked + .hamburger > div::after{
    top:0;
    transform: rotate(90deg);
}



.menu-wrap .menu{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    visibility: hidden;
}

.menu-wrap .menu > div{
    height: 100vh;
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.5);
    transition: all 0.5s;
    transform: scale(0);
}

.menu-wrap .menu > div > div{
    height: 50vh;
    width: 50vw;
    display: flex;
    align-items: center;
    justify-content: center;
}

.menu-wrap .menu > div > div > ul > li{
    list-style: none;
    text-align: center;
}

.menu-wrap .menu > div > div > ul > li > a{
    color: white;
    font-size: 1.5rem;
    text-decoration: none;
    line-height: 3.5rem;
    padding: 0px 1.5rem;
}

.menu-wrap .menu > div > div > ul > li > a:hover{
    color: orangered;
}


.menu-wrap .toggler:checked ~ .menu
{
    visibility: visible;
}

.menu-wrap .toggler:checked ~ .menu > div
{
    transform: scale(1);
}
